unit AbstractViews;

interface

uses
  Classes, Controls, Forms, StdCtrls;

type
  TAbstractView = class(TForm)
    Label1: TLabel;
  private
    { Private declarations }
  public
    { Public declarations }
    constructor CreateView( _Owner: TComponent;
                            Frame:  TWinControl;
                            Zoomed:  boolean );
  end;

implementation

{$R *.DFM}

constructor TAbstractView.CreateView( _Owner: TComponent;
                                      Frame:  TWinControl;
                                      Zoomed: boolean );
begin
  Inherited Create(_Owner);

  Parent      := Frame;
  BorderIcons := [];
  BorderStyle := bsNone;

  if Zoomed
    then Align := alClient
    else begin
         Top  := 0;
         Left := 0;
         end;

  Visible := True;
end; // TAbstractView.CreateView

end.
