program EmbeddedForms;

uses
  Forms,
  Embedded in 'Embedded.pas' {EmbeddedForm},
  Wizards in 'Wizards.pas' {AbstractWizard},
  Views in 'Views.pas' {AbstractView},
  ValidViews in 'ValidViews.pas' {ValidView},
  FickleViews in 'FickleViews.pas' {FickleView},
  TestWizard in 'TestWizard.pas' {Wizard},
  main in 'main.pas' {TestForm},
  Models in 'Models.pas',
  InterfacedForms in 'InterfacedForms.pas',
  PropertySheets in 'PropertySheets.pas' {AbstractPropertySheet},
  TestSheet in 'TestSheet.pas' {PropertySheet},
  ModelEditors in 'ModelEditors.pas',
  Data in 'Data.pas' {DataModel: TDataModule},
  PersonIdViews in 'PersonIdViews.pas' {PersonIdView},
  EmployeeIdViews in 'EmployeeIdViews.pas' {EmployeeIdView},
  BirthdayViews in 'BirthdayViews.pas' {BirthdayView},
  AddressViews in 'AddressViews.pas' {AddressView};

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(TTestForm, TestForm);
  Application.CreateForm(TDataModel, DataModel);
  Application.Run;
end.

