unit TestSheet;

// Copyright  1997 by Jon Shemitz, all rights reserved.
// Permission is hereby granted to freely use, modify, and
// distribute this source code PROVIDED that all six lines of
// this copyright and contact notice are included without any
// changes. Questions? Comments? Offers of work?
// mailto:jon@midnightbeach.com

// ------------------------------------------------------------

// A sample property sheet for testing.

interface

uses
  Classes, StdCtrls, Buttons, ExtCtrls, Controls, ComCtrls,
  Models, PropertySheets,
  EmployeeIdViews, BirthdayViews, AddressViews;

type
  TPropertySheet = class(TAbstractPropertySheet, IModelEdit)
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Initialize; override;
  end;

implementation

uses Data;

{$R *.DFM}

procedure TPropertySheet.Initialize;
begin
  InitializeSheet( ['Name/Supervisor', 'Birthday', 'Address'],
                   [TEmployeeIdView,
                    TBirthdayView,
                    TAddressView] );
end; // TPropertySheet.Initialize

end.

