unit TestWizard;

// Copyright  1997 by Jon Shemitz, all rights reserved.
// Permission is hereby granted to freely use, modify, and
// distribute this source code PROVIDED that all six lines of
// this copyright and contact notice are included without any
// changes. Questions? Comments? Offers of work?
// mailto:jon@midnightbeach.com

// ------------------------------------------------------------

// A sample wizard for testing.

interface

uses
  Classes, StdCtrls, Buttons, ExtCtrls, Controls,
  Models, Wizards, EmployeeIdViews, BirthdayViews, AddressViews;

type
  TWizard = class(TAbstractWizard, IModelEdit)
  protected
    procedure Initialize; override;
  end;

implementation

uses Data;

{$R *.DFM}

procedure TWizard.Initialize;
begin
  CaptionHeight := 1250;
  InitializeWizard( ['Please enter a name and tax id, '
                      + 'and choose a supervisor',
                     'Please enter the employee''s birthdate',
                     'Please enter the employee''s address'],
                     [TEmployeeIdView,
                      TBirthdayView,
                      TAddressView] );
end;

end.

